/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : pwm.h
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F10Y14,R5F10Y16,R5F10Y17,R5F10Y44,R5F10Y46,R5F10Y47
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

#ifndef _PWM_H_
#define _PWM_H_
/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/

/*******************************************************************************
Macro definitions
*******************************************************************************/
/*******************************************************************************
** PWM_INIT0	
********************************************************************************/
#define	PWM_INIT0(OutPort, Freq)												\
{																				\
	PWM_Initialize(OutPort, Freq);												\
}

/*******************************************************************************
** PWM_INIT	
********************************************************************************/
#define	PWM_INIT																\
{																				\
	PWM_Counter_Clear();														\
}

/*******************************************************************************
** PWM_PARAM	
********************************************************************************/
#define	PWM_PARAM(Duty, In)														\
{																				\
	PWM_Param(Duty, In);														\
}

/*******************************************************************************
** PWM_PROC	
********************************************************************************/
#define	PWM_PROC																\
{																				\
	PWM_Out_Proc();																\
}

/*******************************************************************************
Typedef definitions
*******************************************************************************/
/*  Structure Definition	*/
typedef	struct	tagPWM_TBL
{
	UCHAR	Port;
	UCHAR	Input;
	UCHAR	SetDuty;
	UCHAR	OutDuty;
}PWM_TBL;

/*******************************************************************************
Imported global variables and functions (from other files)
*******************************************************************************/

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
/*	Function Prototype	*/
void	PWM_Param( UCHAR Duty, UCHAR In );
void	PWM_Counter_Clear( void );
void	PWM_Initialize( UCHAR OutPort, ULONG Freq );
void	PWM_Out_Proc( void );

#endif /* _PWM_H_ */

