/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : panel.c
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F10Y14,R5F10Y16,R5F10Y17,R5F10Y44,R5F10Y46,R5F10Y47
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/
#include "sfr.h"
#include "common.h"
#include "config.h"
#include "panel.h"

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
/*--- Variable declaration ---*/
	UCHAR I_04;
	UCHAR F0304 = 0;
	UCHAR F0404 = 0;
	UCHAR F1504 = 0;
	UCHAR F1506 = 0;
	UCHAR F1509 = 0;

/*----------------------------*/

void panel_init0(void)
{

	DGIN_INIT0(0);
	PWM_INIT0( 4,440 );
	PWM_INIT0( 5,440 );
}

void panel(void)
{
	DGIN_INIT;
	PWM_INIT;

	DGIN_PROC( I_04,137, LOW,0,fTrg10ms);
	F0304 = MOV1_( I_04 );
	PANEL_CPL_PWM( F0304,&F0404 );
	F1504 = MOV1_( I_04 );
	F1506 = MOV1_( I_04 );
	F1509 = MOV1_( F0404 );
	PWM_PARAM( 50,F1504 );
	PWM_PROC;
	PWM_PARAM( 50,F1506 );
	PWM_PROC;
	DGOUT_PROC( 0, F1509, LOW );
}
