/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : common.h
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F10Y14,R5F10Y16,R5F10Y17,R5F10Y44,R5F10Y46,R5F10Y47
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

#ifndef _COMMON_H_
#define _COMMON_H_
/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/

/*******************************************************************************
Macro definitions
*******************************************************************************/
#define HIGH	1
#define LOW		0

#define NON		0
#define RISING	1
#define FALLING	2
#define BOTH	3

#define	fOFF	0
#define	fON		1

/* CLOCK SRC */
#define CLOCK_SRC_INTERNAL		0
#define CLOCK_SRC_X1			1
#define CLOCK_SRC_EXTERNAL		2

#define	PANEL_TYPE_COMPARE		1
#define	PANEL_TYPE_RANGE		2
#define	PANEL_TYPE_BIT			3

/* STANDBY PROPERTY */
#define STANDBY_MODE_STOP			0
#define STANDBY_MODE_HALT			1

#define FACTOR_INTP0				0
#define FACTOR_INTP1				1
#define FACTOR_INTP2				2
#define FACTOR_INTP3				3

/* It accesses the sfr area. */
#define	EZPL_ACCESS_SRF_AREA		0xFFF00

/*******************************************************************************
Typedef definitions
*******************************************************************************/
typedef	long			LONG;
typedef	int				INT;
typedef	short			SHORT;
typedef	char			CHAR;
typedef	unsigned long	ULONG;
typedef	unsigned int	UINT;
typedef	unsigned short	USHORT;
typedef	unsigned char	UCHAR;

/*******************************************************************************
Imported global variables and functions (from other files)
*******************************************************************************/
extern	__saddr	UCHAR	fTx0Done;
extern	__saddr	UCHAR	fTx6Done;
extern	__saddr	UCHAR	fTm10ms;
extern	__saddr	UCHAR	fTrg50ms;
extern	__saddr	UCHAR	fTrg1s;
extern	__saddr	UCHAR	fTrg10ms;

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
/*	Function Prototype	*/
UCHAR	MOV1_( UCHAR );
UCHAR	NOT1_( UCHAR );

void	WAIT( UCHAR );
UCHAR	BitMemGet( UCHAR* memp, UCHAR count );
UCHAR	ByteMemGet( UCHAR* memp, UCHAR count );
void	BitMemSet( UCHAR* memp, UCHAR count, UCHAR value );
void	ByteMemSet( UCHAR* memp, UCHAR count, UCHAR value );
void	Port_Set( UCHAR Port, UCHAR TermNum, UCHAR Val );
UCHAR	Port_Get( UCHAR Port, UCHAR TermNum );
UCHAR	PORT_in( UCHAR ucPort );
void	PORT_out( UCHAR ucPort, UCHAR ucOut );

#endif /* _COMMON_H_ */
