/******************************************************************************/
/* DISCLAIMER                                                                 */
/* This software is supplied by Renesas Electronics Corporation and is only   */
/* intended for use with Renesas products. No other uses are authorized.This  */
/* software is owned by Renesas Electronics Corporation and is protected      */
/* under all applicable laws, including copyright laws.                       */
/* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES          */
/* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING  */
/* BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR */
/* PURPOSE AND NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY           */
/* DISCLAIMED.                                                                */
/* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS     */
/* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE       */
/* LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL      */
/* DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS    */
/* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.           */
/* Renesas reserves the right, without notice, to make changes to this        */
/* software and to discontinue the availability of this software.             */
/* By using this software, you agree to the additional terms and conditions   */
/* found by accessing the following link:                                     */
/* http://www.renesas.com/disclaimer                                          */
/*                                                                            */
/* Device     : RL78/R5F10Y17                                                 */
/* File Name  : iodefine.h                                                    */
/* Abstract   : Definition of Special Function Register (SFR)                 */
/* History    : V1.02  [Device File version]                                  */
/* Options    : -df=C:\Program Files (x86)\Renesas Electronics\CS+\CC\Device\ */
/*              RL78\Devicefile\DR5F10Y17.DVF -o=C:\project\job_applilet\tmp\ */
/*              RL78_G10_Y17\iodefine.h -f                                    */
/* Date       : 2016/08/08                                                    */
/* Version    : V1.06.00.02  [df2iodef.exe version]                           */
/* This is a typical example.                                                 */
/*                                                                            */
/******************************************************************************/
#ifndef __R5F10Y17IODEFINE_HEADER__
#define __R5F10Y17IODEFINE_HEADER__

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
} __bitf_T;

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
    unsigned char no8:1;
    unsigned char no9:1;
    unsigned char no10:1;
    unsigned char no11:1;
    unsigned char no12:1;
    unsigned char no13:1;
    unsigned char no14:1;
    unsigned char no15:1;
} __bitf_T2;



#define ADM2      (*(volatile __near unsigned char  *)0x10)
#define ADM2_bit  (*(volatile __near __bitf_T *)0x10)
#define ADTYP     (((volatile __near __bitf_T *)0x10)->no0)
#define PU0       (*(volatile __near unsigned char  *)0x30)
#define PU0_bit   (*(volatile __near __bitf_T *)0x30)
#define PU4       (*(volatile __near unsigned char  *)0x34)
#define PU4_bit   (*(volatile __near __bitf_T *)0x34)
#define PU12      (*(volatile __near unsigned char  *)0x3C)
#define PU12_bit  (*(volatile __near __bitf_T *)0x3C)
#define POM0      (*(volatile __near unsigned char  *)0x50)
#define POM0_bit  (*(volatile __near __bitf_T *)0x50)
#define PMC0      (*(volatile __near unsigned char  *)0x60)
#define PMC0_bit  (*(volatile __near __bitf_T *)0x60)
#define NFEN0     (*(volatile __near unsigned char  *)0x70)
#define NFEN0_bit (*(volatile __near __bitf_T *)0x70)
#define NFEN1     (*(volatile __near unsigned char  *)0x71)
#define NFEN1_bit (*(volatile __near __bitf_T *)0x71)
#define ISC       (*(volatile __near unsigned char  *)0x73)
#define ISC_bit   (*(volatile __near __bitf_T *)0x73)
#define PIOR      (*(volatile __near unsigned char  *)0x77)
#define HOCODIV   (*(volatile __near unsigned char  *)0xA8)
#define PER0      (*(volatile __near unsigned char  *)0xF0)
#define PER0_bit  (*(volatile __near __bitf_T *)0xF0)
#define TAU0EN    (((volatile __near __bitf_T *)0xF0)->no0)
#define SAU0EN    (((volatile __near __bitf_T *)0xF0)->no2)
#define ADCEN     (((volatile __near __bitf_T *)0xF0)->no5)
#define BCDADJ    (*(volatile __near unsigned char  *)0xFE)
#define SSR00     (*(volatile __near unsigned char  *)0x100)
#define SSR01     (*(volatile __near unsigned char  *)0x102)
#define SIR00     (*(volatile __near unsigned char  *)0x108)
#define SIR01     (*(volatile __near unsigned char  *)0x10A)
#define SMR00L    (*(volatile __near unsigned char  *)0x110)
#define SMR00H    (*(volatile __near unsigned char  *)0x111)
#define SMR01L    (*(volatile __near unsigned char  *)0x112)
#define SMR01H    (*(volatile __near unsigned char  *)0x113)
#define SCR00L    (*(volatile __near unsigned char  *)0x118)
#define SCR00H    (*(volatile __near unsigned char  *)0x119)
#define SCR01L    (*(volatile __near unsigned char  *)0x11A)
#define SCR01H    (*(volatile __near unsigned char  *)0x11B)
#define SE0       (*(volatile __near unsigned char  *)0x120)
#define SE0_bit   (*(volatile __near __bitf_T *)0x120)
#define SS0       (*(volatile __near unsigned char  *)0x122)
#define SS0_bit   (*(volatile __near __bitf_T *)0x122)
#define ST0       (*(volatile __near unsigned char  *)0x124)
#define ST0_bit   (*(volatile __near __bitf_T *)0x124)
#define SPS0      (*(volatile __near unsigned char  *)0x126)
#define SO0       (*(volatile __near unsigned char  *)0x128)
#define CKO0      (*(volatile __near unsigned char  *)0x129)
#define SOE0      (*(volatile __near unsigned char  *)0x12A)
#define SOE0_bit  (*(volatile __near __bitf_T *)0x12A)
#define SOL0      (*(volatile __near unsigned char  *)0x134)
#define TCR00L    (*(volatile __near unsigned char  *)0x180)
#define TCR00H    (*(volatile __near unsigned char  *)0x181)
#define TCR01L    (*(volatile __near unsigned char  *)0x182)
#define TCR01H    (*(volatile __near unsigned char  *)0x183)
#define TMR00L    (*(volatile __near unsigned char  *)0x190)
#define TMR00H    (*(volatile __near unsigned char  *)0x191)
#define TMR01L    (*(volatile __near unsigned char  *)0x192)
#define TMR01H    (*(volatile __near unsigned char  *)0x193)
#define TSR00     (*(volatile __near unsigned char  *)0x1A0)
#define TSR01     (*(volatile __near unsigned char  *)0x1A2)
#define TE0       (*(volatile __near unsigned char  *)0x1B0)
#define TE0_bit   (*(volatile __near __bitf_T *)0x1B0)
#define TEH0      (*(volatile __near unsigned char  *)0x1B1)
#define TEH0_bit  (*(volatile __near __bitf_T *)0x1B1)
#define TS0       (*(volatile __near unsigned char  *)0x1B2)
#define TS0_bit   (*(volatile __near __bitf_T *)0x1B2)
#define TSH0      (*(volatile __near unsigned char  *)0x1B3)
#define TSH0_bit  (*(volatile __near __bitf_T *)0x1B3)
#define TT0       (*(volatile __near unsigned char  *)0x1B4)
#define TT0_bit   (*(volatile __near __bitf_T *)0x1B4)
#define TTH0      (*(volatile __near unsigned char  *)0x1B5)
#define TTH0_bit  (*(volatile __near __bitf_T *)0x1B5)
#define TPS0      (*(volatile __near unsigned char  *)0x1B6)
#define TO0       (*(volatile __near unsigned char  *)0x1B8)
#define TOE0      (*(volatile __near unsigned char  *)0x1BA)
#define TOE0_bit  (*(volatile __near __bitf_T *)0x1BA)
#define TOL0      (*(volatile __near unsigned char  *)0x1BC)
#define TOM0      (*(volatile __near unsigned char  *)0x1BE)
#define P0        (*(volatile __near unsigned char  *)0xFF00)
#define P0_bit    (*(volatile __near __bitf_T *)0xFF00)
#define P4        (*(volatile __near unsigned char  *)0xFF04)
#define P4_bit    (*(volatile __near __bitf_T *)0xFF04)
#define P12       (*(volatile __near unsigned char  *)0xFF0C)
#define P12_bit   (*(volatile __near __bitf_T *)0xFF0C)
#define P13       (*(volatile __near unsigned char  *)0xFF0D)
#define P13_bit   (*(volatile __near __bitf_T *)0xFF0D)
#define SDR00L    (*(volatile __near unsigned char  *)0xFF10)
#define SIO00     (*(volatile __near unsigned char  *)0xFF10)
#define TXD0      (*(volatile __near unsigned char  *)0xFF10)
#define SDR00H    (*(volatile __near unsigned char  *)0xFF11)
#define RXD0      (*(volatile __near unsigned char  *)0xFF12)
#define SDR01L    (*(volatile __near unsigned char  *)0xFF12)
#define SDR01H    (*(volatile __near unsigned char  *)0xFF13)
#define TDR00L    (*(volatile __near unsigned char  *)0xFF18)
#define TDR00H    (*(volatile __near unsigned char  *)0xFF19)
#define TDR01L    (*(volatile __near unsigned char  *)0xFF1A)
#define TDR01H    (*(volatile __near unsigned char  *)0xFF1B)
#define ADCRL     (*(volatile __near unsigned char  *)0xFF1E)
#define ADCRH     (*(volatile __near unsigned char  *)0xFF1F)
#define PM0       (*(volatile __near unsigned char  *)0xFF20)
#define PM0_bit   (*(volatile __near __bitf_T *)0xFF20)
#define PM4       (*(volatile __near unsigned char  *)0xFF24)
#define PM4_bit   (*(volatile __near __bitf_T *)0xFF24)
#define ADM0      (*(volatile __near unsigned char  *)0xFF30)
#define ADM0_bit  (*(volatile __near __bitf_T *)0xFF30)
#define ADCE      (((volatile __near __bitf_T *)0xFF30)->no0)
#define ADCS      (((volatile __near __bitf_T *)0xFF30)->no7)
#define ADS       (*(volatile __near unsigned char  *)0xFF31)
#define ADS_bit   (*(volatile __near __bitf_T *)0xFF31)
#define KRCTL     (*(volatile __near unsigned char  *)0xFF34)
#define KRCTL_bit (*(volatile __near __bitf_T *)0xFF34)
#define KRF       (*(volatile __near unsigned char  *)0xFF35)
#define KRM0      (*(volatile __near unsigned char  *)0xFF37)
#define KRM0_bit  (*(volatile __near __bitf_T *)0xFF37)
#define EGP0      (*(volatile __near unsigned char  *)0xFF38)
#define EGP0_bit  (*(volatile __near __bitf_T *)0xFF38)
#define EGN0      (*(volatile __near unsigned char  *)0xFF39)
#define EGN0_bit  (*(volatile __near __bitf_T *)0xFF39)
#define CKS0      (*(volatile __near unsigned char  *)0xFFA5)
#define CKS0_bit  (*(volatile __near __bitf_T *)0xFFA5)
#define PCLOE0    (((volatile __near __bitf_T *)0xFFA5)->no7)
#define RESF      (*(volatile __near unsigned char  *)0xFFA8)
#define WDTE      (*(volatile __near unsigned char  *)0xFFAB)
#define IF0L      (*(volatile __near unsigned char  *)0xFFE0)
#define IF0L_bit  (*(volatile __near __bitf_T *)0xFFE0)
#define WDTIIF    (((volatile __near __bitf_T *)0xFFE0)->no0)
#define PIF0      (((volatile __near __bitf_T *)0xFFE0)->no1)
#define PIF1      (((volatile __near __bitf_T *)0xFFE0)->no2)
#define CSIIF00   (((volatile __near __bitf_T *)0xFFE0)->no3)
#define IICIF00   (((volatile __near __bitf_T *)0xFFE0)->no3)
#define STIF0     (((volatile __near __bitf_T *)0xFFE0)->no3)
#define SRIF0     (((volatile __near __bitf_T *)0xFFE0)->no4)
#define SREIF0    (((volatile __near __bitf_T *)0xFFE0)->no5)
#define TMIF01H   (((volatile __near __bitf_T *)0xFFE0)->no6)
#define TMIF00    (((volatile __near __bitf_T *)0xFFE0)->no7)
#define IF0H      (*(volatile __near unsigned char  *)0xFFE1)
#define IF0H_bit  (*(volatile __near __bitf_T *)0xFFE1)
#define TMIF01    (((volatile __near __bitf_T *)0xFFE1)->no0)
#define ADIF      (((volatile __near __bitf_T *)0xFFE1)->no1)
#define KRIF      (((volatile __near __bitf_T *)0xFFE1)->no2)
#define MK0L      (*(volatile __near unsigned char  *)0xFFE4)
#define MK0L_bit  (*(volatile __near __bitf_T *)0xFFE4)
#define WDTIMK    (((volatile __near __bitf_T *)0xFFE4)->no0)
#define PMK0      (((volatile __near __bitf_T *)0xFFE4)->no1)
#define PMK1      (((volatile __near __bitf_T *)0xFFE4)->no2)
#define CSIMK00   (((volatile __near __bitf_T *)0xFFE4)->no3)
#define IICMK00   (((volatile __near __bitf_T *)0xFFE4)->no3)
#define STMK0     (((volatile __near __bitf_T *)0xFFE4)->no3)
#define SRMK0     (((volatile __near __bitf_T *)0xFFE4)->no4)
#define SREMK0    (((volatile __near __bitf_T *)0xFFE4)->no5)
#define TMMK01H   (((volatile __near __bitf_T *)0xFFE4)->no6)
#define TMMK00    (((volatile __near __bitf_T *)0xFFE4)->no7)
#define MK0H      (*(volatile __near unsigned char  *)0xFFE5)
#define MK0H_bit  (*(volatile __near __bitf_T *)0xFFE5)
#define TMMK01    (((volatile __near __bitf_T *)0xFFE5)->no0)
#define ADMK      (((volatile __near __bitf_T *)0xFFE5)->no1)
#define KRMK      (((volatile __near __bitf_T *)0xFFE5)->no2)
#define PR00L     (*(volatile __near unsigned char  *)0xFFE8)
#define PR00L_bit (*(volatile __near __bitf_T *)0xFFE8)
#define WDTIPR0   (((volatile __near __bitf_T *)0xFFE8)->no0)
#define PPR00     (((volatile __near __bitf_T *)0xFFE8)->no1)
#define PPR01     (((volatile __near __bitf_T *)0xFFE8)->no2)
#define CSIPR000  (((volatile __near __bitf_T *)0xFFE8)->no3)
#define IICPR000  (((volatile __near __bitf_T *)0xFFE8)->no3)
#define STPR00    (((volatile __near __bitf_T *)0xFFE8)->no3)
#define SRPR00    (((volatile __near __bitf_T *)0xFFE8)->no4)
#define SREPR00   (((volatile __near __bitf_T *)0xFFE8)->no5)
#define TMPR001H  (((volatile __near __bitf_T *)0xFFE8)->no6)
#define TMPR000   (((volatile __near __bitf_T *)0xFFE8)->no7)
#define PR00H     (*(volatile __near unsigned char  *)0xFFE9)
#define PR00H_bit (*(volatile __near __bitf_T *)0xFFE9)
#define TMPR001   (((volatile __near __bitf_T *)0xFFE9)->no0)
#define ADPR0     (((volatile __near __bitf_T *)0xFFE9)->no1)
#define KRPR0     (((volatile __near __bitf_T *)0xFFE9)->no2)
#define PR10L     (*(volatile __near unsigned char  *)0xFFEC)
#define PR10L_bit (*(volatile __near __bitf_T *)0xFFEC)
#define WDTIPR1   (((volatile __near __bitf_T *)0xFFEC)->no0)
#define PPR10     (((volatile __near __bitf_T *)0xFFEC)->no1)
#define PPR11     (((volatile __near __bitf_T *)0xFFEC)->no2)
#define CSIPR100  (((volatile __near __bitf_T *)0xFFEC)->no3)
#define IICPR100  (((volatile __near __bitf_T *)0xFFEC)->no3)
#define STPR10    (((volatile __near __bitf_T *)0xFFEC)->no3)
#define SRPR10    (((volatile __near __bitf_T *)0xFFEC)->no4)
#define SREPR10   (((volatile __near __bitf_T *)0xFFEC)->no5)
#define TMPR101H  (((volatile __near __bitf_T *)0xFFEC)->no6)
#define TMPR100   (((volatile __near __bitf_T *)0xFFEC)->no7)
#define PR10H     (*(volatile __near unsigned char  *)0xFFED)
#define PR10H_bit (*(volatile __near __bitf_T *)0xFFED)
#define TMPR101   (((volatile __near __bitf_T *)0xFFED)->no0)
#define ADPR1     (((volatile __near __bitf_T *)0xFFED)->no1)
#define KRPR1     (((volatile __near __bitf_T *)0xFFED)->no2)
#define PMC       (*(volatile __near unsigned char  *)0xFFFE)
#define PMC_bit   (*(volatile __near __bitf_T *)0xFFFE)
#define MAA       (((volatile __near __bitf_T *)0xFFFE)->no0)


#define INTWDTI                         0x0004
#define INTP0                           0x0006
#define INTP1                           0x0008
#define INTCSI00                        0x000A
#define INTIIC00                        0x000A
#define INTST0                          0x000A
#define INTSR0                          0x000C
#define INTSRE0                         0x000E
#define INTTM01H                        0x0010
#define INTTM00                         0x0012
#define INTTM01                         0x0014
#define INTAD                           0x0016
#define INTKR                           0x0018

#endif
