/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : panel.c
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F10Y14,R5F10Y16,R5F10Y17,R5F10Y44,R5F10Y46,R5F10Y47
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/
#include "sfr.h"
#include "common.h"
#include "config.h"
#include "panel.h"

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
/*--- Variable declaration ---*/
	UCHAR I_03;
	UCHAR F0105 = 0;
	UCHAR F0205 = 0;
	UCHAR F0304 = 0;
	UCHAR F0305 = 0;
	UCHAR F0306 = 0;
	UCHAR F0706 = 0;
	UCHAR F0806 = 0;
	UCHAR F0906 = 0;
	UCHAR F1403 = 0;
	UCHAR F1502 = 0;
	UCHAR F1503 = 0;

/*----------------------------*/

void panel_init0(void)
{

	DGIN_INIT0(0);
	TFF2_INIT0(0);
	CLK_INIT0;
}

void panel(void)
{
	DGIN_INIT;
	TFF2_INIT;
	CLK_INIT;

	DGIN_PROC( I_03,137, LOW,20,fTrg10ms);
	F0105 = MOV1_( I_03 );
	NOT_PROC( F0105, F0205 );
	TFF2_PROC( fOFF,F0205,F0305,F0306 );
	CLK_PROC( 0,120,fTrg10ms,F0706  );
	AND_PROC( F0305,F0706, F0806 );
	NOT_PROC( F0806, F0906 );
	F1403 = MOV1_( F0906 );
	F1502 = MOV1_( I_03 );
	AND_PROC( F1502,F1403, F1503 );
	DGOUT_PROC( 0, F1503, LOW );
}
